#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
--index-url https://mirrors.ustc.edu.cn/pypi/simple

accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.13.4
    # via pydata-sphinx-theme
cairocffi==1.7.1
    # via cairosvg
cairosvg==2.8.2
    # via sphinxcontrib-wavedrom
certifi==2025.8.3
    # via requests
cffi==1.17.1
    # via
    #   cairocffi
    #   xcffib
charset-normalizer==3.4.3
    # via requests
cssselect2==0.8.0
    # via cairosvg
defusedxml==0.7.1
    # via cairosvg
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
    #   sphinx-rtd-theme
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.2
    # via jinja2
mdit-py-plugins==0.5.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==4.0.1
    # via -r requirements.in
packaging~=25.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
pillow==11.3.0
    # via cairosvg
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.15.4
    # via sphinx-book-theme
pygments==2.19.2
    # via
    #   accessible-pygments
    #   pydata-sphinx-theme
    #   sphinx
pyyaml==6.0.2
    # via
    #   myst-parser
    #   sphinxcontrib-mermaid
    #   wavedrom
requests==2.32.5
    # via
    #   sphinx
    #   sphinxcontrib-images
roman-numerals-py==3.1.0
    # via sphinx
six==1.17.0
    # via wavedrom
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.7
    # via beautifulsoup4
sphinx==8.2.3
    # via
    #   -r requirements.in
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-rtd-theme
    #   sphinxcontrib-images
    #   sphinxcontrib-jquery
    #   sphinxcontrib-mermaid
    #   sphinxcontrib-video
    #   sphinxcontrib-wavedrom
sphinx-book-theme==1.1.4
    # via -r requirements.in
sphinx-copybutton==0.5.2
    # via -r requirements.in
sphinx-design==0.6.1
    # via -r requirements.in
sphinx-rtd-theme==3.0.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via
    #   -r requirements.in
    #   sphinx
sphinxcontrib-images==1.0.1
    # via -r requirements.in
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-mermaid==1.0.0
    # via -r requirements.in
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxcontrib-video==0.4.1
    # via -r requirements.in
sphinxcontrib-wavedrom==3.0.4
    # via -r requirements.in
svgwrite==1.4.3
    # via wavedrom
tinycss2==1.4.0
    # via
    #   cairosvg
    #   cssselect2
typing-extensions==4.14.1
    # via
    #   beautifulsoup4
    #   pydata-sphinx-theme
urllib3==2.5.0
    # via requests
wavedrom==2.0.3.post3
    # via sphinxcontrib-wavedrom
webencodings==0.5.1
    # via
    #   cssselect2
    #   tinycss2
xcffib==1.9.0
    # via sphinxcontrib-wavedrom
